---
# Cop supports --autocorrect.
Performance/MapCompact:
  Exclude:
    - 'app/graphql/resolvers/concerns/resolves_ids.rb'
    - 'app/graphql/resolvers/todos_resolver.rb'
    - 'app/helpers/issuables_description_templates_helper.rb'
    - 'app/helpers/notifications_helper.rb'
    - 'app/models/ci/build_dependencies.rb'
    - 'app/models/ci/pipeline.rb'
    - 'app/models/ci/runner.rb'
    - 'app/models/ci_platform_metric.rb'
    - 'app/models/concerns/mentionable/reference_regexes.rb'
    - 'app/models/concerns/pg_full_text_searchable.rb'
    - 'app/models/container_repository.rb'
    - 'app/models/design_management/design_at_version.rb'
    - 'app/models/design_management/version.rb'
    - 'app/models/environment.rb'
    - 'app/models/environment_status.rb'
    - 'app/models/instance_configuration.rb'
    - 'app/models/integrations/chat_message/pipeline_message.rb'
    - 'app/models/repository.rb'
    - 'app/models/resource_label_event.rb'
    - 'app/models/snippet_repository.rb'
    - 'app/models/web_ide_terminal.rb'
    - 'app/presenters/packages/conan/package_presenter.rb'
    - 'app/presenters/packages/nuget/packages_metadata_presenter.rb'
    - 'app/presenters/packages/nuget/search_results_presenter.rb'
    - 'app/serializers/analytics/cycle_analytics/event_entity.rb'
    - 'app/services/auth/container_registry_authentication_service.rb'
    - 'app/services/events/render_service.rb'
    - 'app/services/feature_flags/update_service.rb'
    - 'app/services/git/base_hooks_service.rb'
    - 'app/services/cloud_seed/google_cloud/fetch_google_ip_list_service.rb'
    - 'app/services/jira_import/start_import_service.rb'
    - 'app/services/jira_import/users_mapper_service.rb'
    - 'app/services/labels/available_labels_service.rb'
    - 'app/services/merge_requests/get_urls_service.rb'
    - 'app/services/merge_requests/pushed_branches_service.rb'
    - 'app/services/merge_requests/update_service.rb'
    - 'app/services/packages/maven/find_or_create_package_service.rb'
    - 'app/services/projects/container_repository/third_party/delete_tags_service.rb'
    - 'app/services/projects/update_statistics_service.rb'
    - 'app/services/quick_actions/interpret_service.rb'
    - 'app/services/repositories/changelog_service.rb'
    - 'app/services/todos/allowed_target_filter_service.rb'
    - 'config/initializers/trusted_proxies.rb'
    - 'config/initializers/wikicloth_redos_patch.rb'
    - 'ee/app/finders/security/findings_finder.rb'
    - 'ee/app/graphql/ee/types/issue_connection_type.rb'
    - 'ee/app/models/app_sec/fuzzing/api/ci_configuration.rb'
    - 'ee/app/models/burndown.rb'
    - 'ee/app/models/concerns/ee/project_security_scanners_information.rb'
    - 'ee/app/models/concerns/elastic/application_versioned_search.rb'
    - 'ee/app/models/gitlab_subscriptions/features.rb'
    - 'ee/app/models/sca/license_compliance.rb'
    - 'ee/app/services/app_sec/dast/profiles/create_associations_service.rb'
    - 'ee/app/services/app_sec/dast/scan_configs/fetch_service.rb'
    - 'ee/app/services/epic_issues/create_service.rb'
    - 'ee/app/services/members/activate_service.rb'
    - 'ee/app/services/security/override_uuids_service.rb'
    - 'ee/app/services/security/store_scan_service.rb'
    - 'ee/app/services/upcoming_reconciliations/update_service.rb'
    - 'ee/app/services/vulnerabilities/findings/find_or_create_from_security_finding_service.rb'
    - 'ee/app/workers/geo/scheduler/scheduler_worker.rb'
    - 'ee/db/fixtures/development/30_customizable_cycle_analytics.rb'
    - 'ee/lib/banzai/filter/references/iteration_reference_filter.rb'
    - 'ee/lib/ee/api/entities/experiment.rb'
    - 'ee/lib/ee/gitlab/auth/ldap/person.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_latest_pipeline_ids.rb'
    - 'ee/lib/elastic/latest/repository_instance_proxy.rb'
    - 'ee/lib/gitlab/alert_management/alert_payload_field_extractor.rb'
    - 'ee/lib/gitlab/ci/parsers/security/dast.rb'
    - 'ee/lib/gitlab/ci/reports/license_scanning/report.rb'
    - 'ee/lib/gitlab/ci/reports/metrics/reports_comparer.rb'
    - 'ee/lib/gitlab/search/aggregation_parser.rb'
    - 'ee/spec/models/analytics/issues_analytics_spec.rb'
    - 'ee/spec/models/ee/member_spec.rb'
    - 'ee/spec/requests/api/audit_events_spec.rb'
    - 'ee/spec/requests/api/search_spec.rb'
    - 'haml_lint/linter/no_plain_nodes.rb'
    - 'lib/api/entities/feature.rb'
    - 'lib/api/entities/project.rb'
    - 'lib/api/helpers/common_helpers.rb'
    - 'lib/atlassian/jira_connect/client.rb'
    - 'lib/atlassian/jira_connect/serializers/feature_flag_entity.rb'
    - 'lib/banzai/filter/image_link_filter.rb'
    - 'lib/banzai/filter/references/design_reference_filter.rb'
    - 'lib/banzai/filter/references/label_reference_filter.rb'
    - 'lib/banzai/filter/references/milestone_reference_filter.rb'
    - 'lib/banzai/reference_parser/issuable_parser.rb'
    - 'lib/error_tracking/sentry_client/pagination_parser.rb'
    - 'lib/gitaly/server.rb'
    - 'lib/gitlab/analytics/cycle_analytics/aggregated/records_fetcher.rb'
    - 'lib/gitlab/analytics/usage_trends/workers_argument_builder.rb'
    - 'lib/gitlab/auth/ip_rate_limiter.rb'
    - 'lib/gitlab/background_migration/backfill_project_repositories.rb'
    - 'lib/gitlab/ci/parsers/security/common.rb'
    - 'lib/gitlab/ci/reports/security/aggregated_report.rb'
    - 'lib/gitlab/ci/reports/security/finding.rb'
    - 'lib/gitlab/ci/reports/test_suite_summary.rb'
    - 'lib/gitlab/database/load_balancing/service_discovery.rb'
    - 'lib/gitlab/git/commit.rb'
    - 'lib/gitlab/git/conflict/file.rb'
    - 'lib/gitlab/sql/pattern.rb'
    - 'lib/gitlab/url_blocker.rb'
    - 'qa/qa/page/component/issuable/sidebar.rb'
    - 'qa/qa/support/formatters/test_metrics_formatter.rb'
    - 'qa/qa/tools/ci/ff_changes.rb'
    - 'scripts/lint_templates_bash.rb'
    - 'spec/controllers/every_controller_spec.rb'
    - 'spec/controllers/projects/merge_requests/conflicts_controller_spec.rb'
    - 'spec/lib/api/every_api_endpoint_spec.rb'
    - 'spec/lib/banzai/pipeline/plain_markdown_pipeline_spec.rb'
    - 'spec/lib/gitlab/conflict/file_spec.rb'
    - 'spec/lib/gitlab/import_export/project/tree_restorer_spec.rb'
    - 'spec/lib/gitlab/import_export/references_configuration_spec.rb'
    - 'spec/models/deployment_spec.rb'
    - 'spec/models/network/graph_spec.rb'
    - 'spec/models/repository_spec.rb'
    - 'spec/requests/api/commits_spec.rb'
    - 'spec/requests/api/groups_spec.rb'
    - 'spec/requests/lfs_http_spec.rb'
    - 'spec/serializers/diff_file_entity_spec.rb'
    - 'spec/services/projects/container_repository/third_party/cleanup_tags_service_spec.rb'
    - 'spec/support/helpers/dns_helpers.rb'
    - 'spec/support/helpers/graphql_helpers.rb'
    - 'spec/support/shared_examples/features/navbar_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/config/inheritable_shared_examples.rb'
    - 'spec/support/shared_examples/models/label_note_shared_examples.rb'
